Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.util
Class TreeDragSourceListener

    java.lang.Object
      edu.stanford.smi.protege.util.TreeDragSourceListener

All Implemented Interfaces:
  DragGestureListener, DragSourceListener, EventListener

Direct Known Subclasses:
  ClsesTreeDragSourceListener, SlotsTreeDragSourceListener

    public abstract class TreeDragSourceListener

extends Object
implements DragGestureListener, DragSourceListener

Base class for a drag and drop source side listener on a JTree. The actual move and copy operations are handled by template methods.

Author:
  Ray Fergerson

Constructor Summary
`TreeDragSourceListener()`

Method Summary
`abstract boolean` | `canStartDrag(Collection objects)`
`abstract void` | `doCopy(Collection paths)`
`abstract void` | `doMove(Collection paths)`
`void` | `dragDropEnd(DragSourceDropEvent e)`
`void` | `dragEnter(DragSourceDragEvent e)`
`void` | `dragExit(DragSourceEvent e)`
`void` | `dragGestureRecognized(DragGestureEvent e)`
`void` | `dragOver(DragSourceDragEvent e)`
`void` | `dropActionChanged(DragSourceDragEvent e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeDragSourceListener

    public TreeDragSourceListener()

Method Detail

### canStartDrag

    public abstract boolean canStartDrag(Collection objects)

### doCopy

    public abstract void doCopy(Collection paths)

### doMove

    public abstract void doMove(Collection paths)

### dragDropEnd

    public void dragDropEnd(DragSourceDropEvent e)

  Specified by:
    `dragDropEnd` in interface `DragSourceListener`

### dragEnter

    public void dragEnter(DragSourceDragEvent e)

  Specified by:
    `dragEnter` in interface `DragSourceListener`

### dragExit

    public void dragExit(DragSourceEvent e)

  Specified by:
    `dragExit` in interface `DragSourceListener`

### dragGestureRecognized

    public void dragGestureRecognized(DragGestureEvent e)

  Specified by:
    `dragGestureRecognized` in interface `DragGestureListener`

### dragOver

    public void dragOver(DragSourceDragEvent e)

  Specified by:
    `dragOver` in interface `DragSourceListener`

### dropActionChanged

    public void dropActionChanged(DragSourceDragEvent e)

  Specified by:
    `dropActionChanged` in interface `DragSourceListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.